<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_f65681696" . "1e85738061" . "41c558b184" . "fe2" => base64_decode("c3Via" . "mVjdA" . "=="), "i" . "d" => base64_decode("aWQ" . "="), "t" . "y" . "p" . "e" => base64_decode("dHlwZQ" . "=="), "_a51236f5e7f12cf84a776152098d24a" . "9" => base64_decode("dGV" . "4dA" . "=="));
use Claromentis\Core\Event\Event;







class SendEvent extends Event
{
    protected $message_info;
    protected $recipient_info;
    protected $sender_id;
    public function __construct($_bcfb24cb34fc79a85279a34d2eebb7c6, $_a7d1b57fc9cf298f71cc4c520efc2d09, $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipient_info = $_a7d1b57fc9cf298f71cc4c520efc2d09;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["ty" . "pe"]];
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->recipient_info[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetRecipientInfo()
    {
        return $this->recipient_info;
    }
    
    
    
    
    public function GetSenderId()
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a51236f5e7f12cf84a7761520" . "98d24a9"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f656816961e8573806141c558b184" . "fe2"]];
    }
}